%global pypi_name lazy-loader
%global srcname lazy_loader

Name:		python-%{pypi_name}
Summary:	Populate library namespace without incurring immediate import costs
Version:	0.4
Release:	%mkrel 1
License:	BSD
Group:		Development/Python
Url:		https://scientific-python.org/specs/spec-0001/
Source0:	%{pypi_source}
BuildArch:	noarch
BuildRequires:	pyproject-rpm-macros
BuildRequires:	python3-devel

%description
lazy_loader makes it easy to load subpackages and functions on demand.

%package -n python3-%{pypi_name}
Summary:	%{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{pypi_name}
lazy_loader makes it easy to load subpackages and functions on demand.

%prep
%autosetup -p1 -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{srcname}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc CHANGELOG.md README.md


%changelog
* Mon May 13 2024 papoteur <papoteur> 0.4-1.mga10
+ Revision: 2064008
- new version 0.4

* Mon Dec 25 2023 wally <wally> 0.3-1.mga10
+ Revision: 2021310
- imported package python-lazy-loader

